#ifndef _ODE_SOLVERS_HPP_
#define _ODE_SOLVERS_HPP_

#include <vector>

using rvec = std::vector<double>;

void oneStepAdamsBashforth2(rvec& yNP1, rvec& yN, rvec& yNM1, double (*f) (double, double), double dt, double tN);

void oneStepEuler(rvec& yNP1, rvec& yN, double (*f) (double, double), double dt, double tN);

#endif//_ODE_SOLVERS_HPP_
