#include <iostream>
#include "distance.hpp"

int main() {

  point3D p1; p1.x = 1.0; p1.y = 0.; p1.z = 0.;
  point3D p2; p2.x = 0.0; p2.y = 0.; p2.z = 1.;

  int select;
  std::cout << "Which distance do you want ? " << std::endl
            << "1. Euclidian"                  << std::endl
            << "2. Geodesic"                   << std::endl
            << "> ";
  std::cin  >> select;
  double dist;
  switch (select) {
    case 1:
      dist = EuclidianGeom::distance(p1,p2); break;
    case 2: 
      dist = SphereGeom::distance(p1,p2); break;
    default:
      std::cerr << "Wrong input" << std::endl; return 1;
  }

  std::cout << dist << std::endl;
  return 0;

}
